package net.minecraft.network.protocol.game;

import net.minecraft.network.PacketListener;

public interface ServerGamePacketListener extends PacketListener {
    void handleAnimate(final ServerboundSwingPacket so);
    
    void handleChat(final ServerboundChatPacket rd);
    
    void handleClientCommand(final ServerboundClientCommandPacket re);
    
    void handleClientInformation(final ServerboundClientInformationPacket rf);
    
    void handleContainerAck(final ServerboundContainerAckPacket rh);
    
    void handleContainerButtonClick(final ServerboundContainerButtonClickPacket ri);
    
    void handleContainerClick(final ServerboundContainerClickPacket rj);
    
    void handlePlaceRecipe(final ServerboundPlaceRecipePacket rw);
    
    void handleContainerClose(final ServerboundContainerClosePacket rk);
    
    void handleCustomPayload(final ServerboundCustomPayloadPacket rl);
    
    void handleInteract(final ServerboundInteractPacket ro);
    
    void handleKeepAlive(final ServerboundKeepAlivePacket rq);
    
    void handleMovePlayer(final ServerboundMovePlayerPacket rs);
    
    void handlePlayerAbilities(final ServerboundPlayerAbilitiesPacket rx);
    
    void handlePlayerAction(final ServerboundPlayerActionPacket ry);
    
    void handlePlayerCommand(final ServerboundPlayerCommandPacket rz);
    
    void handlePlayerInput(final ServerboundPlayerInputPacket sa);
    
    void handleSetCarriedItem(final ServerboundSetCarriedItemPacket sh);
    
    void handleSetCreativeModeSlot(final ServerboundSetCreativeModeSlotPacket sk);
    
    void handleSignUpdate(final ServerboundSignUpdatePacket sn);
    
    void handleUseItemOn(final ServerboundUseItemOnPacket sq);
    
    void handleUseItem(final ServerboundUseItemPacket sr);
    
    void handleTeleportToEntityPacket(final ServerboundTeleportToEntityPacket sp);
    
    void handleResourcePackResponse(final ServerboundResourcePackPacket sd);
    
    void handlePaddleBoat(final ServerboundPaddleBoatPacket ru);
    
    void handleMoveVehicle(final ServerboundMoveVehiclePacket rt);
    
    void handleAcceptTeleportPacket(final ServerboundAcceptTeleportationPacket ra);
    
    void handleRecipeBookUpdatePacket(final ServerboundRecipeBookUpdatePacket sb);
    
    void handleSeenAdvancements(final ServerboundSeenAdvancementsPacket se);
    
    void handleCustomCommandSuggestions(final ServerboundCommandSuggestionPacket rg);
    
    void handleSetCommandBlock(final ServerboundSetCommandBlockPacket si);
    
    void handleSetCommandMinecart(final ServerboundSetCommandMinecartPacket sj);
    
    void handlePickItem(final ServerboundPickItemPacket rv);
    
    void handleRenameItem(final ServerboundRenameItemPacket sc);
    
    void handleSetBeaconPacket(final ServerboundSetBeaconPacket sg);
    
    void handleSetStructureBlock(final ServerboundSetStructureBlockPacket sm);
    
    void handleSelectTrade(final ServerboundSelectTradePacket sf);
    
    void handleEditBook(final ServerboundEditBookPacket rm);
    
    void handleEntityTagQuery(final ServerboundEntityTagQuery rn);
    
    void handleBlockEntityTagQuery(final ServerboundBlockEntityTagQuery rb);
    
    void handleSetJigsawBlock(final ServerboundSetJigsawBlockPacket sl);
    
    void handleJigsawGenerate(final ServerboundJigsawGeneratePacket rp);
    
    void handleChangeDifficulty(final ServerboundChangeDifficultyPacket rc);
    
    void handleLockDifficulty(final ServerboundLockDifficultyPacket rr);
}
